Skip to main content
DELETE
/
execution-policies
/
{policy_id}
Python
from meibel import MeibelClient

client = MeibelClient(api_key="your-api-key")

result = client.execution_policies.delete("policy_id_value")
print(result)
import { MeibelClient } from 'meibel';

const client = new MeibelClient({ apiKey: 'your-api-key' });

const result = await client.executionPolicies.delete('policy_id_value');
console.log(result);
import v2 "github.com/meibel-ai/meibel-go/v2"

client := v2.NewClient(v2.WithAPIKey("your-api-key"))
ctx := context.Background()

result, err := client.ExecutionPolicies.Delete(ctx, "policy_id_value")
if err != nil {
log.Fatal(err)
}
fmt.Println(result)
curl --request DELETE \
--url https://api.meibel.ai/v2/execution-policies/{policy_id} \
--header 'Meibel-API-Key: <api-key>'
const options = {method: 'DELETE', headers: {'Meibel-API-Key': '<api-key>'}};

fetch('https://api.meibel.ai/v2/execution-policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

policy_id
string
required

Response

Successful Response